Subject: bug#38605: closed (Re: bug#38605: [WIP MLton 0/1] Add MLton)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 04 May 2022 11:59:02 +0000

Your bug report

#38605: [WIP MLton 0/1] Add MLton

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38605: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=38605
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#38605: [WIP MLton 0/1] Add MLton
From: zimoun <[email-masked]>
To: Brett Gilio <[email-masked]>
Cc: [email-masked]
Date: Wed, 04 May 2022 13:58:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Tue, 12 Apr 2022 at 12:21, zimoun <[email-masked]> wrote:
> On Mon, 14 Sep 2020 at 19:36, zimoun <[email-masked]> wrote:
>
>> Digging in old unmerged patches, I hit this one. :-)
>
> The last interaction of this WIP patch #38605 [1] about MLton is from 1
> year, 29 weeks, 6 days ago.  Whereas the discussion in this thread about
> bootstrap strategies is really worth, I am going to close the submission
> soon.
>
> 1: <http://issues.guix.gnu.org/issue/38605>
>

Well, after 3 weeks, 1 day, 1 hour ago. I am closing.

Cheers,
simon

Subject: [WIP MLton 0/1] Add MLton
From: Brett Gilio <[email-masked]>
To: [email-masked]
Date: Fri, 13 Dec 2019 21:58:10 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

>From d6e94b0a04bf71e51d29b7228bd4233bf763eaaa Mon Sep 17 00:00:00 2001
From: Brett Gilio <[email-masked]>
Date: Fri, 13 Dec 2019 21:54:59 -0600
Subject: [WIP MLton 0/1] Add MLton

MLton is a little bit tricker to package properly as it runs in to the issue
of requiring a non-source, pre-compiled bootstrap. There is a way to get it to
build against SMLnj though (which will be my next WIP bug report). This patch
series uses a series of patched ELFs to compile MLton from source. But obviously
this will not be permissable upstream.

As such I wanted to share my WIP on this for anybody who has any ideas and
so I can keep track of my own progress.

Please send revisions by re-rolling n+1.

Brett Gilio (1):
  gnu: Add mlton.

 gnu/packages/sml.scm | 138 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 138 insertions(+)

-- 
2.24.1